MARTe2-core - User story #255

Directory
23.10.2015 12:53 - Riccardo Vitelli

Status: Closed Start date: 23.10.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.8 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Implement Directory (for Windows and Linux) based on the previous MARTe implementation.

Source code files modified

FileSystem/L1Portability/Directory.*
FileSystem/L1Portability/DirectoryScanner.*

Architecture & design review
Date of the review: 23/10/2015
Person who did the review: André Neto

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 09/11/2015

*Person who did the review: Andre' Neto

Result of review: PASS

List of non-conformities:
As a pattern DirectoryScanner should use LinkedListHolder and not inherit from it.

Unit test review

Date of the review: 24/11/2015

Person who did the review: R. Vitelli
Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS

List of non-conformities: N/A
Associated revisions

Revision 9fbed4b7 - 04.11.2015 16:10 - Giuseppe Ferro
#2565 Lint of Directory done

Revision 971619ea - 04.11.2015 18:53 - Giuseppe Ferro

#255 Moved static function to create and close file/directories to
Directory.
Added documentation.

Revision 0d7ded1d - 04.11.2015 20:28 - Giuseppe Ferro

#255 Improve documentation

Revision 6529c5fe - 05.11.2015 09:39 - Giuseppe Ferro
#255 #228 Fixed compilation warnings.

Revision f1€71235 - 05.11.2015 18:28 - Giuseppe Ferro

#255 Change the return value to TimeValues in Directory.

Revision flaa5ac4 - 06.11.2015 09:54 - Frank Perez
Merge branch '#255_Directories' of https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into #255_Directories

Revision 72a532df - 06.11.2015 12:39 - Frank Perez
Merge branch '#255_Directories' of https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into #255_Directories

Revision 3aa23d51 - 09.11.2015 11:44 - André Neto

#255 Code review performed. Minor changes to documentation.

Revision ebadb2cc - 10.11.2015 18:56 - Frank Perez

#255 Directory Scanner in progress

Revision 4811db86 - 10.11.2015 19:01 - Frank Perez

Merge branch '#255_Directories' of
https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.qit into #255 Directories

Conflicts:
Source/Core/FileSystem/L1Portability/Directory.h
Source/Core/FileSystem/L1Portability/Environment/Linux/Directory.cpp

Revision 3db6490c - 10.11.2015 19:17 - Frank Perez

Merge remote-tracking branch 'origin/#243_Linux_File' into
#255_Directories

Conflicts:

MakeDefaults/Lint/marte_flint_base_configuration.Int
MakeDefaults/Lint/marte_flint_files.Int

Makefile.inc

Source/Core/BareMetal/L3Streams/Streaml.h
Source/Core/FileSystem/L1Portability/BasicSocket.h
Source/Core/FileSystem/L1Portability/BasicTCPSocket.h
Source/Core/FileSystem/L1Portability/BasicUDPSocket.h
Source/Core/FileSystem/L1Portability/Directory.h
Source/Core/FileSystem/L1Portability/Environment/Linux/BasicTCPSocket.cpp
Source/Core/FileSystem/L1Portability/Environment/Linux/Makefile.cov
Source/Core/FileSystem/L1Portability/Environment/Linux/Makefile.inc
Source/Core/FileSystem/L1Portability/InternetService.h
Source/Core/FileSystem/L1Portability/Makefile.cov
Source/Core/FileSystem/L1Portability/Makefile.inc
Source/Core/FileSystem/L1Portability/SocketSelect.h
Source/Core/FileSystem/Makefile.cov
Source/Core/FileSystem/Makefile.inc

Source/Core/Makefile.inc
Test/Core/FileSystem/L1Portability/Makefile.inc
Test/Core/FileSystem/L1Portability/Makefile.linux
Test/Core/FileSystem/Makefile.cov
Test/Core/FileSystem/Makefile.inc
Test/Core/FileSystem/Makefile.linux
Test/GTest/Makefile.cov
Test/GTest/Makefile.inc

Revision 60afa21a - 12.11.2015 19:04 - Frank Perez
#255 Unit test finished. Linting missing.

Revision bf8229¢9 - 13.11.2015 11:50 - Frank Perez

#255 Linting of minor modifications.

Revision fd690256 - 13.11.2015 13:04 - Frank Perez

#255 Directory and DirectoryScanner finished.

Revision 834402f5 - 16.11.2015 17:16 - Riccardo Vitelli
#255 Merged the new TimeStamp class from #266.

History

#1 - 23.10.2015 13:20 - André Neto

- Status changed from New to Code: Impl

#2 - 23.10.2015 13:26 - André Neto

- Description updated

#3 - 23.10.2015 13:32 - André Neto

- Target version set to 0.7

#4 - 04.11.2015 10:36 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#5 - 04.11.2015 17:18 - Giuseppe Ferro
- Status changed from Code: Impl to Code: Rev

#6 - 04.11.2015 17:19 - Giuseppe Ferro
- Description updated

- Assignee deleted (Giuseppe Ferro)

#7 - 09.11.2015 09:43 - Riccardo Vitelli

- Assignee set to André Neto

#8 - 09.11.2015 11:44 - André Neto
- Description updated
- Status changed from Code: Rev to Unit: Impl

- Assignee changed from André Neto to Frank Perez

#9 - 10.11.2015 17:38 - André Neto

- Target version changed from 0.7 to 0.8

#10 - 13.11.2015 13:02 - Riccardo Vitelli

- Assignee changed from Frank Perez to Riccardo Vitelli

#11 - 13.11.2015 13:02 - Riccardo Vitelli
- Status changed from Unit: Impl to Code: Impl

#12 - 16.11.2015 16:43 - Riccardo Vitelli
- Status changed from Code: Impl to Code: Rev
#13 - 16.11.2015 16:43 - Riccardo Vitelli
- Assignee deleted (Riccardo Vitelli)

#14 - 24.11.2015 16:41 - Riccardo Vitelli

- Status changed from Code: Rev to Closed

#15 - 24.11.2015 16:41 - Riccardo Vitelli

- Description updated
